# network meter

A network meter allows operators to measure traffic for a specific IP range. The following commands are specific to the L3 metering extension.

Network v2

## network meter create

Create network meter

    openstack network meter create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--share | --no-share]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  Description for meter

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--share

  Share meter between projects

--no-share

  Do not share meter between projects

name

  Name of meter

## network meter delete

Delete network meter

    openstack network meter delete <meter> [<meter> ...]

meter

  Meter to delete (name or ID)

## network meter list

List network meters

    openstack network meter list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## network meter show

Show network meter

    openstack network meter show <meter>

meter

  Meter to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.